#!/bin/bash -e
SCRIPTNAME=$(basename $0)
DIRNAME=$(dirname $0)

#Default values, can be overwritten in jwt-auth-userinfo.config
export ABAS_DOCKER_REGISTRY_NAME=docker.registry.abas.sh
export GROUPID=$(id -g)
export USERID=$(id -u)

if test -f ${DIRNAME}/jwt-auth-userinfo.config ; then
    echo "Loading configuration from ${DIRNAME}/jwt-auth-userinfo.config"
    . ${DIRNAME}/jwt-auth-userinfo.config
fi
docker-compose -f ${DIRNAME}/docker-compose.yml down